#!/bin/bash

contact="root"
home="/usr/local/viewsec/"
send_email=0

# to force email, uncomment the following line:
# send_email=1



listen_txt='The following is a list of changes in the services that are listening, and have either been stoppoed or started since yesterday. \n\n'

user_txt='The following is a list of changes in users that have been either added or removed since yesterday \n\n'

mods_txt='The following is a list of changes in Loadable Kernel Modules:'

suids_txt='The following are programs that are suid root that have been either created or deleted:'

function gen_mail() {

	echo $listen_txt
	echo ""
	echo ""
	cat services.changes
	echo ""

	echo ""
	echo $user_txt
	echo ""
	echo ""
	cat users.changes

	echo ""
        echo $mods_txt
        echo ""
        echo ""
        cat mods.changes

	echo ""
        echo $suids_txt
        echo ""
        echo ""
        cat suids.changes
}


${home}kern_mods.sh
${home}listening.sh
${home}new_users.sh
${home}setuid.sh

if [  -s services.changes ] ; then let send_email++ ; fi
if [  -s users.changes ] ; then let send_email++ ; fi
if [  -s mods.changes ] ; then let send_email++ ; fi
if [  -s suids.changes ] ; then let send_email++ ; fi


if [[ $send_email > 0 ]] ; then
	gen_mail | mail -s "ViewSec: $(hostname)" $contact
fi
